## com.fasterxml.jackson.databind.type
Class TypeParser

    java.lang.Object
      com.fasterxml.jackson.databind.type.TypeParser

All Implemented Interfaces:
  Serializable

    public class TypeParser

extends Object
implements Serializable

Simple recursive-descent parser for parsing canonical `JavaType` representations and constructing type instances.

Author:
  tatu
See Also:
  Serialized Form

Field Summary
`protected TypeFactory` `_factory`

Constructor Summary
`TypeParser(TypeFactory f)`

Method Summary
`protected IllegalArgumentException` `_problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens, String msg)`
`protected Class<?>` `findClass(String className, com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
`JavaType` `parse(String canonical)`
`protected JavaType` `parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
`protected List<JavaType>` `parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _factory

    protected final TypeFactory _factory

Constructor Detail

### TypeParser

    public TypeParser(TypeFactory f)

Method Detail

### parse

    public JavaType parse(String canonical)
                   throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### parseType

    protected JavaType parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                          throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### parseTypes

    protected List<JavaType> parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                                 throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### findClass

    protected Class<?> findClass(String className,
                                 com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)

### _problem

    protected IllegalArgumentException _problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens,
                                                String msg)

Copyright © 2012 FasterXML. All Rights Reserved.